# ESP8266 - Termostat

Jedná se o termostat postavený na ESP8266 s možností připojení na Wi-Fi. Díky Wi-Fi konektivitě lze termostat ovládat pomocí jakéhokoli jiného zařízení a také lze z termostatu exportovat metriky.

Bylo zvoleno **ESP-01**. Tento model ESP má vyvedeny 2 GPIO piny.
Termostat obsahuje teplotní čidlo **DS18B20**, právě kvůli sběrnici OneWire, na kterou lze připojit více čidel.
Ke spínání kotle byl zvolen **relay modul**, který by bylo vhodné do budoucna nahradit nějakým polovodičem, aby termostat necvakal. Případně při návrhu boardu navrhnout osazení jak relé, tak nějakého polovodiče, který by sloužil ke spínání kotle (volba jumprem).
Termostat je napájen 230v.

Termostat nemusí sloužit pouze k regulaci kotle, ale i jako teplotní čidlo exportující své metriky.
Toto lze nastavit v configu. 

**ToDo list:**
- [ ] Zabezpečení (API + JS app)
	- [ ] API
	- [ ] JS app
	- [ ] OTA update
- [ ] API
- [ ] JS app
	- [ ] v flash paměti
	- [ ] aktualizace
- [x] OTA update
- [x] Wi-Fi konektivita
- [x] Metric export